
EE = [ 5e-3  2.9547e-001
1e-2  3.4579e-001
1e-3  2.4057e-001
2e-2  4.0743e-001];

[bas,ibas]=sort(EE(:,1));
figure(2);loglog(EE(ibas,1),EE(ibas,2)/EE(ibas(4),2),'-')
grid
axis([1e-3 1e-1 0.1 10])
xlabel(' Dt ')
ylabel(' E(dt)/E(dt=2e-2)')
title(' Time accuracy analysis ')

figure(3);clf;mesh(bfh_ex(:,2:2:length(bfh_ex(1,:))))
ylabel('X (nodes) ')
xlabel('t (steps) ')
zlabel('p')
title(' Exact pressure evolution - p(t) ')
axis([0 100 0 100 72 73])
view(50,50)
saveas(3,'p_ex')
view(90,90)
saveas(3,'p_ex_plant')

figure(4);clf;mesh(bfh_u(:,3:3:length(bfh_u(1,:))))
ylabel('X (nodes) ')
xlabel('t (steps) ')
zlabel('p')
title(' Numerical pressure evolution - p(t) ')
axis([0 100 0 100 72 73])
view(50,50)
saveas(4,'p_num')
view(90,90)
saveas(4,'p_num_plant')