% 
%  handle_prop_elem for advdif_1d
%

if strcmp(ijob,'get')
    
    %%%%%%%%%%%%%% PROPIEDADES DEL MATERIAL 

    kappa    = prop.kappa;
    npg      = prop.npg;
    upwind   = prop.upwind;
    lumped   = prop.lumped;
    nolineal = prop.nolineal;
    if nolineal>0,
        nolineal_function = prop.nolineal_function;
    end
    
    ffun_source = prop.ffun_source;
    weak_from = prop.weak_form;
    
    upwind_type = prop.upwind_type;
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
elseif strcmp(ijob,'set'),
    
    prop.kappa  =  kappa  ;
    prop.npg    =  npg  ;
    prop.upwind =  upwind;
    prop.lumped =  lumped;
    prop.nolineal = nolineal;    
    if nolineal>0,
        prop.nolineal_function = nolineal_function;
    end

    if exist('ffun_source')==0, ffun_source=[]; end
    prop.ffun_source = ffun_source;
    
    if exist('weak_form','var')==0, weak_form=0; end
    prop.weak_form = weak_form;
    
    if exist('upwind_type','var')==0, upwind_type='Petrov_Galerkin'; end
    prop.upwind_type = upwind_type;
    
else
    error(' Bad ijob choice for HANDLE_PROP_ELEM')
end
