function [ex,ey,ez]=get_local_axis(xnod,icone)
%
%  [ex,ey,ez]=get_local_axis(xnod,icone)
%

ex = xnod(icone(:,2),:)-xnod(icone(:,1),:);
ex = ex./(sqrt(sum(ex'.^2))'*ones(1,3));

ey = pvec([1,0,0],ex);
eynorm = sqrt(sum(ey'.^2))';
nn = find(eynorm<1e-10);
if ~isempty(nn), 
    ey(nn,:) = pvec([0,1,0],ex(nn,:)); 
    eynorm = sqrt(sum(ey'.^2))';    
end
nn = find(eynorm<1e-10);
if ~isempty(nn), 
    ey(nn,:) = pvec([0,0,1],ex(nn,:)); 
    eynorm = sqrt(sum(ey'.^2))';    
end
nn = find(eynorm<1e-10);
if ~isempty(nn), error('***  it is impossible to orthogonalize the axial versor ***'); end

ez = pvec(ex,ey);
ez = ez./(sqrt(sum(ez'.^2))'*ones(1,3));

ey = pvec(ez,ex);
ey = ey./(sqrt(sum(ey'.^2))'*ones(1,3));

tmp = ex;
ex = ey;
ey = ez;
ez = tmp;
