function phi_p = get_nodal_values_from_hierarchical(data,states,nen_ele)

xnod = data.mesh.xnod;
icone = data.mesh.icone;
phi = states.phi;
numel = size(icone,1);

phi_p = phi; 
if nen_ele>2,
    xhalf = zeros(numel,nen_ele-2);
    for kk=3:nen_ele
        xhalf = xnod(icone(:,kk));
        xhalf = 2*(xhalf-xnod(icone(:,1)))./(xnod(icone(:,2))-xnod(icone(:,1)))-1;
        [bas,N]  = shape1d_hierarchical(ones(numel,1),xhalf,data.mesh.type_sol_interp);
        phi_half = 0;
        for kkk=1:nen_ele,
            phi_half = phi_half + phi(icone(:,kkk)).*N(:,kkk);
        end
        phi_p(icone(:,kk))=phi_half;
    end
end
