function [h_supg] = h_supg(velpg,dNdx,dNdy)
%
%        [h_supg] = h_supg(velpg,dNdx,dNdy)
%

  limit = 1e-10;
  [numel,nen] = size(dNdx);

  velmodpg = sqrt(sum(velpg'.^2))';
  mask     = velmodpg<limit;
  velmodpg = velmodpg+limit*mask;
  vels 	   = (velpg./(velmodpg*ones(1,2))).*((1-mask)*[1,1]) + mask*[1,1];
%  vels   = velpg ./ (velmodpg*ones(1,2));

  h_supg = zeros(size(velmodpg));

  for inod=1:nen,
    h_supg  = h_supg + abs(vels(:,1).*dNdx(:,inod)+vels(:,2).*dNdy(:,inod));
  end
  h_supg = h_supg+limit*(h_supg<limit);
  h_supg = 2 ./ h_supg;
