
%
% aplico proyecciones periodicas y/o slip a la solucion inicial%
%-----------------------------------------------------------------

[numnp,ndm]=size(data.mesh.xnod);
[numel,nen]=size(data.mesh.icone);

if (nen>2 & ndm>1),
    [iconew] = check_mesh_orientation(xnod,icone);
    icone = iconew;
end

U = states.bini;

%if exist('analysis')==0, analysis=1; end

%if exist('lin_con')==0, lin_con=[]; end

%if exist('nummat')==0, 
%    nummat=1; 
%    prop_elem(:,1) = reshape(prop,length(prop),1);
%end

[numnp,ndf]=size(U);

data.props.ndf = ndf;
data.props.numnp = numnp;

fixa=m2v(fixa);
forc=m2v(forc);   
fixed = find(fixa==1);
vaux=m2v(bini);
nr = length(vaux);

if isempty(lin_con)==0,
    [Rg,Kg] = linear_constraint(vaux,speye(nr),lin_con,ndf);
    vaux    = Kg\Rg;
end

phi = v2m(vaux,ndf);   
clear U vaux

states.phi = phi;

%
[numel,nen]   = size(icone);
if min(icone(:,nen))<=0, nen=nen-1; end

data.props.nen = nen;
data.props.numel = numel;


% Calculo de los elementos - caras que estan en el contorno
ifaceb=[];
if ndm==2,
    if 0
        [ifaceb,face_con] = pfbou2d(xnod,icone(:,1:nen),1);
    else
        [ifaceb,face_con] = pfbou2d_v3(xnod,icone(:,1:nen),1,data.mesh.type_sol_interp,data.mesh.type_geo_elem);        
    end
elseif ((ndm==3)&(nen>2)),
    ifaceb = pfbou3d2(xnod,icone(:,1:nen));
else
    ifaceb = [1,1;numel,2];
end

data.mesh.ifaceb = ifaceb;

return

