function det=row_det(A)
%
%   det=row_det(A)
%
%   Computes the determinant of a 3 index matrix
%

det = (A(:,2,2).*A(:,3,3)-A(:,2,3).*A(:,3,2)).*A(:,1,1) + ...
       A(:,3,1).*A(:,1,2).*A(:,2,3)-A(:,3,1).*A(:,1,3).*A(:,2,2) - ... 
       A(:,2,1).*A(:,1,2).*A(:,3,3)+A(:,2,1).*A(:,1,3).*A(:,3,2);

