function lambda = eigen_Av(UP,ga,beta,Mr)
%
%   eigen_Av(UP,ga,beta,Mr)
%

u=UP(:,2);
rho = UP(:,1);
p = UP(:,3);

lambda(:,1) = u;
lambda(:,2) = 1/2/ga ./p.*(u.*ga.*p+rho.*u.*beta.*Mr.^2+(u.^2.*ga^2.*p.^2-2*u.^2*ga.*p.*rho.*beta.*Mr.^2+rho.^2.*u.^2.*beta.^2.*Mr.^4+4.*ga.^2.*p.^2.*beta.*Mr.^2).^(1/2));
lambda(:,3) = 1/2/ga ./p.*(u.*ga.*p+rho.*u.*beta.*Mr.^2-(u.^2.*ga^2.*p.^2-2*u.^2*ga.*p.*rho.*beta.*Mr.^2+rho.^2.*u.^2.*beta.^2.*Mr.^4+4.*ga.^2.*p.^2.*beta.*Mr.^2).^(1/2));
