function dU = dUdQv(Uc,gamma)
%
%   dU = dUdQv(Uc,gamma)
%

[N,ndof] = size(Uc);
g1 = gamma-1;
R_gas = 287;

dU = zeros(N,ndof,ndof);

dU(:,1,1) = Uc(:,1)./Uc(:,3);
dU(:,1,3) = -R_gas*Uc(:,1).^2./Uc(:,3);
dU(:,2,1) = Uc(:,1).*Uc(:,2)./Uc(:,3);
dU(:,2,2) = Uc(:,1);
dU(:,2,3) = -R_gas*Uc(:,1).^2.*Uc(:,2)./Uc(:,3);
dU(:,3,1) = 1/g1+.5*Uc(:,1).*Uc(:,2).^2./Uc(:,3);
dU(:,3,2) = Uc(:,1).*Uc(:,2);
dU(:,3,3) = -.5*R_gas*Uc(:,1).^2.*Uc(:,2).^2./Uc(:,3);
