% 
%  handle_prop_elem for advdif_1d
%

if strcmp(ijob,'get')   

    kappa    = prop.kappa;
    npg      = prop.npg;
    upwind   = prop.upwind;
    lumped   = prop.lumped;
    nolineal = prop.nolineal;
    rho      = prop.rho;
    Cp       = prop.Cp;
    tau_fac  = prop.tau_fac;
    shocap   = prop.shocap;
    axisim   = prop.axisim;
    type_upw = prop.type_upw;
%    dtfic    = prop.dtfic;

    if nolineal>0,
        nolineal_function = prop.nolineal_function;
    end
    
    ffun_source = prop.ffun_source;
    
elseif strcmp(ijob,'set'),
    
    prop.rho    =  rho  ;
    prop.Cp     =  Cp  ;
    prop.kappa  =  kappa  ;
    prop.npg    =  npg  ;
    prop.upwind =  upwind;
    prop.lumped =  lumped;
    prop.tau_fac  = tau_fac ;
    prop.shocap   = shocap ;
    prop.axisim   = axisim ;
    prop.type_upw = type_upw ;
%    prop.dtfic    = dtfic;
    
    if exist('nolineal')==0, nolineal=0; end
    prop.nolineal = nolineal;    
    
    if nolineal>0,
        prop.nolineal_function = nolineal_function;
    end

    if exist('ffun_source')==0, ffun_source=[]; end
    prop.ffun_source = ffun_source;
    
else
    error(' Bad ijob choice for HANDLE_PROP_ELEM')
end
