function v=row_sumall(A)
%
%   v=row_sumall(A)
%
%   sum all the rows and columns of a given matrix
%
%  output v with size(v) = (size(A,1),1)
%

[n1,n2,n3] = size(A);
v = zeros(n1,1);

for k2=1:n2,
    for k3=1:n3
        v = v + A(:,k2,k3);
    end
end

